/*
Desenvolva uma função denominada preencheAlfabeto
que receba o tamanho de um novo vetor que
será retornado pela função. O novo vetor deve
ser preenchido com letras aleatórias.

*/

#include <stdlib.h>

char * preencheAlfabeto(int tam) {
    int i;
    char *vet = (char *) malloc(tam*sizeof(char));
    for (i=0; i<tam; i++)
       vet[i]='a'+(rand()%26);
    // vet[i]='\0'; -- teria que alocar +1byte
    return vet;
}

main() {
   int i,tam=10;
   char *vetor;
   srand(time(NULL)); // gerar uma semente aleatoria a cada execução
   vetor = preencheAlfabeto(tam);
   for (i=0; i<tam; i++)
       printf("%c ", vetor[i]);
   // printf("\n%s", vetor);
}
